跳转到主要内容
运维管理/监控相关接口/通知服务相关接口
PUTNotification Service APIs起始版本 5.0.0同步需要认证

更新微软Teams终端

更新微软Teams终端

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

路径参数

请求参数

路径参数

  • uuidString必填

    资源的UUID,唯一标示该资源

请求体字段

  • updatesnsmicrosoftteamsendpointObject必填

    updatesnsmicrosoftteamsendpoint 请求体结构

    • urlString

      Webhook地址。

    • nameString

      资源名称

    • descriptionString

      资源的详细描述

  • systemTagsList

    系统标签

  • userTagsList

    用户标签

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • successboolean必填

    操作是否成功。

  • errorErrorCode必填

    错误码,若不为null,则表示操作失败, 操作成功时该字段为null。 详情参考error

    • codeString必填

      错误码号,错误的全局唯一标识,例如SYS.1000, HOST.1001

    • descriptionString必填

      错误的概要描述

    • detailsString必填

      错误的详细信息

    • elaborationString必填

      保留字段,默认为null

    • opaqueLinkedHashMap必填

      保留字段,默认为null

    • causeErrorCode必填

      根错误,引发当前错误的源错误,若无原错误,该字段为null

  • inventorySNSApplicationEndpointInventory必填

    详情参考inventory

    • nameString必填

      资源名称

    • uuidString必填

      资源的UUID,唯一标示该资源

    • descriptionString必填

      资源的详细描述

    • typeString必填

      类型

    • platformUuidString必填

      应用平台UUID

    • createDateTimestamp必填

      创建时间

    • lastOpDateTimestamp必填

      最后一次修改时间

请求地址

PUT/zstack/v1/sns/application-endpoints/microsoft-teams/{uuid}/actions

/zstack/v1/sns/application-endpoints/microsoft-teams/{uuid}/actions

操作 ID

UpdateSNSMicrosoftTeamsEndpoint

永久链接

请求示例

curl -X PUT 'http://{host}/zstack/v1/sns/application-endpoints/microsoft-teams/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updatesnsmicrosoftteamsendpoint":{"url":"<url>","name":"<name>","description":"<description>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

响应示例

200
{ "inventory": { "name": "example", "uuid": "917fe66f76b241f0843dfbd6be685fc1", "description": "description example", "type": "Email", "state": "Enabled", "platformUuid": "4eb0ceebf95b452585ebeacd647d9f35", "createDate": "Dec 25, 2023 2:04:12 PM", "lastOpDate": "Dec 25, 2023 2:04:12 PM" } }

变更历史

此 API 暂无变更历史记录。

查看全部变更历史